Apache JMeter

## org.apache.jmeter.testelement.property
Class PropertyIteratorImpl

    java.lang.Object
      org.apache.jmeter.testelement.property.PropertyIteratorImpl

All Implemented Interfaces:
  PropertyIterator

    public class PropertyIteratorImpl

extends Object
implements PropertyIterator

Constructor Summary
`PropertyIteratorImpl(Collection<JMeterProperty> value)`

Method Summary
`boolean` `hasNext()`
`JMeterProperty` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyIteratorImpl

    public PropertyIteratorImpl(Collection<JMeterProperty> value)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `PropertyIterator`

### next

    public JMeterProperty next()

  Specified by:
    `next` in interface `PropertyIterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `PropertyIterator`

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.